<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RIvrUserLocale StructType
 * @subpackage Structs
 */
class RIvrUserLocale extends AbstractStructBase
{
    /**
     * The userLocale
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userLocale;
    /**
     * The orderIndex
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $orderIndex;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RIvrUserLocale
     * @uses RIvrUserLocale::setUserLocale()
     * @uses RIvrUserLocale::setOrderIndex()
     * @uses RIvrUserLocale::setUuid()
     * @param string $userLocale
     * @param string $orderIndex
     * @param string $uuid
     */
    public function __construct($userLocale = null, $orderIndex = null, $uuid = null)
    {
        $this
            ->setUserLocale($userLocale)
            ->setOrderIndex($orderIndex)
            ->setUuid($uuid);
    }
    /**
     * Get userLocale value
     * @return string|null
     */
    public function getUserLocale()
    {
        return $this->userLocale;
    }
    /**
     * Set userLocale value
     * @param string $userLocale
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RIvrUserLocale
     */
    public function setUserLocale($userLocale = null)
    {
        $this->userLocale = $userLocale;
        return $this;
    }
    /**
     * Get orderIndex value
     * @return string|null
     */
    public function getOrderIndex()
    {
        return $this->orderIndex;
    }
    /**
     * Set orderIndex value
     * @param string $orderIndex
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RIvrUserLocale
     */
    public function setOrderIndex($orderIndex = null)
    {
        $this->orderIndex = $orderIndex;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RIvrUserLocale
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
